# JSXGraph Reference

## JavaScript must be enabled in order for you to use JSXGraph and JSXGraph reference. However, it seems JavaScript is either disabled or not supported by your browser.

Class Index | File Index

## Elements

- Angle
- Arc
- Arrow
- Arrowparallel
- Axis
- Bisector
- Bisectorlines
- Circle
- Circumcenter
- Circumcircle
- CircumcircleArc
- Circumcirclesector
- Conic
- Curve
- Ellipse
- Functiongraph
- Glider
- Grid
- Hyperbola
- Image
- Incenter
- Incircle
- Integral
- Intersection
- Line
- Locus
- Midpoint
- Mirrorpoint
- Normal
- Orthogonalprojection
- OtherIntersection
- Parabola
- Parallel
- Parallelpoint
- Perpendicular
- Perpendicularpoint
- Point
- Polygon
- Reflection
- RegularPolygon
- Riemannsum
- Sector
- Segment
- Semicircle
- Slider
- Tangent
- Text
- Ticks
- Tracecurve

## Classes

- _global_
- JXG
- JXG.AbstractRenderer
- JXG.Board
- JXG.C
- JXG.CanvasRenderer
- JXG.Circle
- JXG.Complex
- JXG.Composition
- JXG.Coords
- JXG.Curve
- JXG.Dump
- JXG.GeometryElement
- JXG.GeonextParser
- JXG.Group
- JXG.Image
- JXG.JessieCode
- JXG.JSXGraph
- JXG.Line
- JXG.Math
- JXG.Math.Geometry
- JXG.Math.Numerics
- JXG.Math.Poly
- JXG.Math.Poly.Monomial
- JXG.Math.Poly.Polynomial
- JXG.Math.Poly.Ring
- JXG.Math.Statistics
- JXG.Math.Symbolic
- JXG.Point
- JXG.Polygon
- JXG.Server
- JXG.Server.modules
- JXG.SVGRenderer
- JXG.Text
- JXG.Ticks
- JXG.Turtle
- JXG.Util
- JXG.VMLRenderer

# Class JXG.VMLRenderer

JXG.AbstractRenderer
↳ JXG.VMLRenderer

JXG.AbstractRenderer
Defined in: VMLRenderer.js.
Extends JXG.AbstractRenderer.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| JXG.VMLRenderer(container) Uses VML to implement the rendering methods defined in JXG.AbstractRenderer.

Fields borrowed from class JXG.AbstractRenderer:
  container, enhancedRendering, type, vOffsetText

Fields borrowed from class JXG.AbstractRenderer:
  container, enhancedRendering, type, vOffsetText

Method Summary
Method Attributes | Method Name and Description
--- | ---
<private> <static> | JXG.VMLRenderer._setAttr(node, key, val, iFlag) Sets attribute `key` of node `node` to `value`.
| createNode(tagName)

Methods borrowed from class JXG.AbstractRenderer:
  _updateVisual, appendChildPrim, appendNodesToElement, changePointStyle, createPrim, displayCopyright, drawCurve, drawEllipse, drawImage, drawInternalText, drawLine, drawPoint, drawPolygon, drawText, drawTicks, drawZoomBar, getElementById, hide, highlight, joinTransforms, makeArrows, noHighlight, remove, removeDraft, resize, setBuffering, setDashStyle, setDraft, setGradient, setObjectFillColor, setObjectStrokeColor, setObjectStrokeWidth, setPropertyPrim, setShadow, show, suspendRedraw, transformImage, unsuspendRedraw, updateCurve, updateEllipse, updateEllipsePrim, updateGradient, updateImage, updateImageURL, updateInternalText, updateLine, updateLinePrim, updatePathPrim, updatePathStringBezierPrim, updatePathStringPoint, updatePathStringPrim, updatePoint, updatePolygon, updatePolygonPrim, updateRectPrim, updateText, updateTextStyle, updateTicks

Class Detail
JXG.VMLRenderer(container)
Uses VML to implement the rendering methods defined in JXG.AbstractRenderer.

Parameters:
{Node} container
  Reference to a DOM node containing the board.

See:
  JXG.AbstractRenderer

Method Detail
<private> <static> JXG.VMLRenderer._setAttr(node, key, val, iFlag)
Sets attribute `key` of node `node` to `value`.

Parameters:
{Node} node
  A DOM node.
{String} key
  Name of the attribute.
{String} val
  New value of the attribute.
{Boolean} iFlag Optional, Default: false
  If false, the attribute's name is case insensitive.

createNode(tagName)

Parameters:
tagName

Documentation generated by JsDoc Toolkit 2.4.0 on Mon Apr 02 2012 17:54:10 GMT+0200 (MESZ)